Save as image do not export text annotations
Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 19773

Description

As #5301 has been marked as "fixed" but exported images still do not contain text annotations, it is a regression (new bug not a feature

request).

Tested with QGIS 2.5.0-Master 5f11c33

Steps to reproduce - use text annotation tool to add some markings on map canvas && Project -> Save as Image

Results - text annotation is missing in the obtained image.

Expected results - text annotation is present in the obtained image.

History

#1 - 2014-10-29 12:25 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Map Canvas

Hi,

I cannot confirm it is a regression, I tested down to qgis 1.6... maybe an even older release?

Anyway you can export tiff+world file also from the print composer, and that can 100% include text annotations, so may this can be considered really a

feature request...

#2 - 2015-05-10 11:53 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Tracker changed from Bug report to Feature request

#3 - 2016-05-18 02:39 AM - Arnaud Morvan

This feature has been added by https://github.com/qgis/QGIS/pull/3059

#4 - 2016-07-21 04:07 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Files
